//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
// STB Tulsa Debug
// (C) Copyright 1998 by STB Systems, Inc.
//
//
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
#ifndef _STBTDEBUG_H
#define _STBTDEBUG_H

/////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////
//  ISTBTDebug
//////////////////////////////////////////////////////////////////////////
DEFINE_GUID(IID_ISTBTDebug, 0x9f645d2b, 0x14fa,0x11d2,0x8f, 0x78, 0x00, 0xa0, 0xc9, 0x82, 0xc6, 0x1a);
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
#undef INTERFACE
#define INTERFACE ISTBTDebug
DECLARE_INTERFACE_( ISTBTDebug, IUnknown )
{
    STDMETHOD(TulsaOpenLibDebug)(THIS_ 
							BOOL bReset) PURE;
	STDMETHOD(DebugGetCardAddress)(THIS_ 
							DWORD* pAddress) PURE;
	STDMETHOD(DebugGetStatus)(THIS_ 
							void* pDebugStatus)  PURE;
	STDMETHOD(DebugGetDebugLog)(THIS_ 
							PVOID *ppLog, PVOID *ppLogInfo) PURE;
	STDMETHOD(DebugModBoardReg)(THIS_ 
							DWORD Register, BYTE Mask, BYTE Value) PURE;
	STDMETHOD(DebugReadBoardReg)(THIS_ 
							DWORD Register, PBYTE pValue) PURE;
	STDMETHOD(DebugSetupAudioDac)(THIS_ 
							BYTE LeftConfig, BYTE RightConfig) PURE;
	STDMETHOD(DebugEnterMonitorMode)(THIS_ 
							BOOL flags) PURE;
	STDMETHOD(DebugEnableDirectRegAccess)(THIS_
							) PURE;
	STDMETHOD(DebugDisableDirectRegAccess)(THIS_
							) PURE;
	STDMETHOD(DebugModBoardRegDirect)(THIS_
							DWORD Register, BYTE Mask, BYTE Value) PURE;
	STDMETHOD(DebugReadBoardRegDirect)(THIS_
							DWORD Register, PBYTE pValue) PURE;
	STDMETHOD(DebugDisplayYUVTestPattern)(THIS_
							) PURE;
	STDMETHOD(DebugReadWatchdogCounter)(THIS_ 
							PDWORD pCount) PURE;
	STDMETHOD(DebugOpenLog)(THIS_
							DWORD LogBufferSize) PURE;
	STDMETHOD(DebugCloseLog)(THIS_
							) PURE;
	STDMETHOD(DebugStoreLog)(THIS_
							char* pFilename) PURE;
};

#endif // _STBTDEBUG_H